Skip to main content
GET
CSharp (SDK)

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Query Parameters

after
string

History item ID to list items after (pagination cursor).

limit
integer
default:20

Maximum number of items to return (1-100, default 20).

Required range: 1 <= x <= 100
order
enum<string>
default:desc

Sort order by creation time. Defaults to 'desc' (newest first).

Available options:
asc,
desc
model
string

Filter results to a specific model id.

Response

200 - application/json

OK

A paginated list of text-to-speech history items.

object
any
required
data
object[]
required
has_more
boolean
required
first_id
string
last_id
string